# List the active retry cycles for an invoice Gets information of active retry cycles that have not been completed for an invoice in Configurable Payment Retry. Endpoint: GET /api/v1/payments/active_invoice_cycle_information/{invoice_id} Version: 2026-02-20 Security: basicAuth ## Path parameters: - `invoice_id` (string, required) ID of an invoice. ## Response 200 fields (application/json): - `cycles` (array) An array containing information of all active retry cycles for an invoice. See the schema and example for details. Example: [{"account_id":"2c92c0f96bd69165016bdccdd6ce2f29","invoice_id":"2c92c0f8778bf8cd017798168cb50e0b","payment_method_id":"2c92c0f9774f2b3e01775f6f06d87b61","currency":"USD","status":"Cycle Incomplete","current_attempt_number":2,"next_attempt":"2021-04-01T19:27:34.648Z","customer_group":"All Remaining Customers","attempts":[{"attempt_number":1,"zuora_payment_id":"2c92c0867849d42301784bc9ca076c21","time_of_execution":"2021-03-19T18:42:20.103Z","source":"PR-00000371","cpr_generated":false,"success":false,"amount_collected":"0.0","action_info":{"action":"Retry"},"retry_info":{"next":"2021-04-01T19:27:34.648-09:00","criteria":"incremental_time"},"mapping_info":{"label":"Hard Decline","level":"code","customer_group_id":1},"gateway_info":{"id":"2c92c0f85e2d19af015e3a61d8947e5d","code":"insufficient_funds","response":"Your card has insufficient funds."}},{"attempt_number":2,"zuora_payment_id":"2c92c09c7849d3c101784bce0d0a06d5","time_of_execution":"2021-03-19T18:52:24.137Z","source":"PR-00000372","cpr_generated":true,"success":false,"amount_collected":"0.0","action_info":{"action":"Retry"},"retry_info":{"next":"2021-03-19T09:53:39.845-09:00","criteria":"incremental_time"},"mapping_info":{"label":"Hard Decline","level":"code","customer_group_id":1},"gateway_info":{"id":"2c92c0f85e2d19af015e3a61d8947e5d","code":"insufficient_funds","response":"Your card has insufficient funds."}}]}] - `cycles.account_id` (string) The ID of the customer account. - `cycles.invoice_id` (string) The ID of the invoice. - `cycles.payment_method_id` (string) The ID of the payment method. - `cycles.currency` (string) The type of the currency used. - `cycles.status` (string) The status of the retry cycle. - `cycles.current_attempt_number` (number) The number of the current retry attempt. - `cycles.next_attempt` (string) The date and time of the next retry attempt, in yyyy-mm-dd hh:mm:ss format. - `cycles.customer_group` (string) The name of the customer group. - `cycles.attempts` (array) An array containing information of the retry attempts that have been made. See the schema and example for details. - `cycles.attempts.attempt_number` (number) The number of the retry attempt. - `cycles.attempts.zuora_payment_id` (string) The ID of the payment in Zuora Payments. - `cycles.attempts.time_of_execution` (string) The date and time when the retry attempt was made, in yyyy-mm-dd hh:mm:ss format. - `cycles.attempts.source` (string) The number of the failed payment run. - `cycles.attempts.cpr_generated` (boolean) Indicates whether the first retry attempt was generated by Configurable Payment Retry. true for the cases of the first retry attempt generated by CPR and the second or later attempt. false for the cases that the retry attempt was made by the payment run or an external source during retry cycles. - `cycles.attempts.success` (boolean) Indicates whether the retry attempt is successful. - `cycles.attempts.amount_collected` (number) The amount collected in this retry attempt. - `cycles.attempts.action_info` (object) Information about the action of the retry attempt. - `cycles.attempts.action_info.action` (string) The action taken in the retry attempt. - `cycles.attempts.retry_info` (object) Information about the next retry attempt. - `cycles.attempts.retry_info.next` (string) The date and time of the next retry attempt as determined by criteria, in yyyy-mm-dd hh:mm:ss format. - `cycles.attempts.retry_info.criteria` (string) The criteria defined in the retry configuration in the CPR UI, to specify whether the next retry will occur in an incremental time or at a specific time or day. - `cycles.attempts.mapping_info` (object) Information about the response code mapping for the retry attempt. - `cycles.attempts.mapping_info.label` (string) The response code label, can be Hard Decline, Soft Decline, System Error, or custom labels. - `cycles.attempts.mapping_info.level` (string) The response code level for the payment gateway, can be Code or Description. - `cycles.attempts.mapping_info.customer_group_id` (number) The ID of the customer group. - `cycles.attempts.gateway_info` (object) Information about the payment gateway. - `cycles.attempts.gateway_info.id` (string) The ID of the payment gateway. - `cycles.attempts.gateway_info.code` (string) The response code from the gateway. - `cycles.attempts.gateway_info.response` (string) The response message from the gateway.